<?php defined('SYSPATH') or die('No direct script access.');

class Controller_admin
{	

	/**
	 * Konstruktor
	 * Tutaj sprawdzimy czy użytkownik jest zalogowany i czy posiada uprawnienia...
	 *
	 */
	public function __construct($access = NULL)
	{
	
		// Jeśli posiada dostęp do panelu administracyjnego
		if(Member::logged() && Member::hasAccess('acp'))
		{
			// Zmieńmy tytuł strony...
			Core::get('View')->title('Panel administracyjny');
			
			// Załaduj wszystkie klasy
			$this->initClass();
			
			// Sprawdźmy czy posiada uprawnienia na konkrentą sekcje
			if($access != NULL)
			{
				// jeśli posiada
				if(Member::hasAccess($access))
				{
					return true;
				}
			}
			
			// Jeśli takie uprawnienie nie jest potrzebne...
			if($access == NULL)
			{
				return true;
			}
		}
		
		// Nie ma dostępu...
		Core::get('View')->title('Brak dostępu');
		Core::get('View')->execute('HTTP/no_access', false, true);
	}
	
	/**
	 * initClass
	 * ładuje wszystkie potrzebne klasy do działania skryptu...
	 * 
	 * @access protected
	 * @return void
	 */
	protected function initClass()
	{
		$this->ajax     = Core::get('Ajax');
		$this->amxbans  = Core::get('AmxBans');
		
		$this->request  = Core::request();
		$this->settings = Core::setting();
		$this->view     = Core::view();
	}
}