<?php defined('SYSPATH') or die('No direct script access.');
/**
 * class Controller_admin_amxbans
 *
 * Odpowiada za edycje amxbansów
 */
class Controller_admin_amxbans extends Controller_admin
{	

	/**
	 * Konstruktor...
	 * 
	 */
	public function __construct()
	{
		parent::__construct('acp_amxbans');
	}
	
	/**
	 * Wyświetla formularz do edytowania amxbansa
	 *
	 * 
	 */
	public function action_edit_box()
	{
		$data    = $this->amxbans->getAmxBans($this->request->post('id'));
		
		$this->view->assign('data',    $data);
		$this->ajax->assign('title',   $data['id'] ? 'Edycja AmxBansa: ' . $data['name'] : 'Błąd');
		$this->ajax->assign('message', $this->view->execute('admin/amxbans/edit', TRUE));
		$this->ajax->send();
	}
	
	/**
	 * Edytuje amxbansa
	 *
	 * @access public 
	 */
	public function action_edit()
	{
		$data = $this->request->post();
		$result = $this->amxbans->edit($data['id'], $data);
		
		$this->ajax->assign('result',  $result[0] ? 'success' : 'error');
		$this->ajax->assign('message', $result[1]);
		
		if($result[0])
		{
			Logs::add("Edytował amxbansa {$data['name']}", Member::logged());
		}
		
		$this->ajax->send();
	}
	
	
	/**
	 * Wyświetla formularz do dodawania amxbansa
	 *
	 *
	 */
	public function action_add_box()
	{
		$this->ajax->assign('title',   'Dodawanie amxbansa');
		$this->ajax->assign('message', $this->view->execute('admin/amxbans/add', TRUE));
		$this->ajax->send();
	}
	
	/**
	 * Dodaje nowego amxbansa
	 *
	 * @access public
	 */
	public function action_add()
	{
		$data    = $this->request->post();
		$result = $this->amxbans->add($data);
		
		$this->ajax->assign('result',  $result[0] ? 'success' : 'error');
		$this->ajax->assign('message', $result[1]);
		
		if($result[0])
		{
			Logs::add("Dodaj amxbansa {$data['name']}", Member::logged());
		}
		
		$this->ajax->send();
	}
	
	/**
	 * Usuwa amxbansa...
	 *
	 * @access public
	 */
	public function action_delete()
	{
		$aid = $this->request->post('id');
		$amxbans = new AmxBans();
		
		$result = $amxbans->deleteAmxBans($aid);
		
		$this->ajax->assign('result',  $result[0] ? 'success' : 'error');
		$this->ajax->assign('message', $result[1]);
		
		if($result[0])
		{
			Logs::add("Usunął amxbansa: {$aid}", Member::logged());
		}
			
		
		$this->ajax->send();
	}
}