<?php defined('SYSPATH') or die('No direct script access.');
/**
 * class Controller_admin_groups
 *
 * Odpowiada za grupy
 */
class Controller_admin_groups extends Controller_admin
{	

	/**
	 * Konstruktor...
	 * 
	 */
	public function __construct()
	{
		parent::__construct('acp_groups');
	}

	/**
	 * Box dodawania grup
	 *
	 * @access public
	 */
	public function action_add_box()
	{
		$this->ajax->assign('title', 'Dodawanie nowej grupy');
		$this->ajax->assign('message', $this->view->execute('admin/groups/add', TRUE));
		$this->ajax->send();
	}
	
	/**
	 * Box Edytowania grup
	 *
	 * @access public
	 */
	public function action_edit_box()
	{
		$id = $this->request->post('id');
		
		$this->view->assign('group', Member::getGroup($id));
	
		$this->ajax->assign('title', 'Edytowanie grupy');
		$this->ajax->assign('message', $this->view->execute('admin/groups/edit', TRUE));
		$this->ajax->send();
	}
	
	/**
	 * Dodaje grupe
	 *
	 * @access public
	 */
	public function action_add()
	{
		$access = $this->access_connect($this->request->post());
		
		$result = Member::addGroup($this->request->post('group_name'), $this->request->post('group_style'), $access);
		
		$this->ajax->assign('result',  $result[0] ? 'success' : 'error' );
		$this->ajax->assign('message', $result[1]);
		
		if($result[0])
		{
			Logs::add("Dodał grupe {$this->request->post('group_name')}", Member::logged());
		}
		
		$this->ajax->send();
	}
	
	/**
	 * Edytuje grupe
	 *
	 * @access public
	 */
	public function action_edit()
	{
		$access = $this->access_connect($this->request->post());
		
		$result = Member::editGroup($this->request->post('group_name'), $this->request->post('group_style'), $access, $this->request->post('id'));
		
		$this->ajax->assign('result',  $result[0] ? 'success' : 'error' );
		$this->ajax->assign('message', $result[1]);
		
		if($result[0])
		{
			Logs::add("Edytował grupe {$this->request->post('group_name')}", Member::logged());
		}
		
		$this->ajax->send();
	}
	
	/**
	 * Usuwa grupe
	 *
	 * @access public
	 */
	public function action_delete()
	{
		$id = $this->request->post('id');
		$delete_result = Member::deleteGroup($id);
		
		$this->ajax->assign('result',  $delete_result[0] ? 'success' : 'error');
		$this->ajax->assign('message', $delete_result[1] . ($delete_result[0] ? '<script>menu(\'groups\', $(\'.groups\'));</script>' : ''));
		
		if($delete[0])
		{
			Logs::add("Usunął grupe {$id}", Member::logged());
		}
		
		$this->ajax->send();
	}
	
	/**
	 * Łączy uprawnienia
	 *
	 * @param array
	 *
	 * @access public
	 * @return array
	 */
	public function access_connect($selected)
	{
		$_return_access = array();
		foreach(Member::getAccessList() as $access_name)
		{
			$_return_access[$access_name] = (isset($selected[$access_name]) && $selected[$access_name] == 'on') ?  1 : 0;
		}
		return $_return_access;
	}
}