<?php defined('SYSPATH') or die('No direct script access.');
/**
 * class Controller_admin_setting
 *
 * Odpowiada za edycje ustawień...
 */
class Controller_admin_setting extends Controller_admin
{	

	/**
	 * Konstruktor...
	 * 
	 */
	public function __construct()
	{
		parent::__construct('acp_setting');
	}

	/**
	 * Updatuje ustawienia
	 *
	 * @access public
	 */
	public function action_update()
	{
		$result = 0;
		
		$post = $this->request->post();
		
		// Usługi jakie mają nie zostać pokazane...
		if(!isset($post['service_no_show']))
		{
			$post['service_no_show'] = '';
		}
		else
		{
			$service_no_show = $post['service_no_show'];
			
			$post['service_no_show'] = array();
			foreach($service_no_show as $sid)
			{
				$post['service_no_show'][$sid] = $sid;
			}
			
			$post['service_no_show'] = implode(',', $post['service_no_show']);
		}
		
		// Update...
		foreach($post as $name=>$value)
		{
			$result += $this->settings->update($name, $value);
		}
		
		if($result > 0)
		{
			Logs::add("Zmodyfikował {$result} ustawień", Member::logged());
		}
		
		$this->ajax->assign('result',  $result ? 'success' : 'warning');
		$this->ajax->assign('message', $result ? ('Zmodyfikowana ilość ustawień: ' . $result) : 'Nie zmodyfikowano żadnych ustawień');
		$this->ajax->send();
	}
	
	/**
	 * Dodaje nowe ustawienia...
	 *
	 * @access public
	 */
	public function action_add()
	{	
		$name   = $this->request->post('setting_name');
		$value  = $this->request->post('setting_value');
		$desc   = $this->request->post('setting_desc');
		
		if($this->settings->create($name, $value, $desc))
		{
			Logs::add("Dodał ustawienie: {$name}", Member::logged());
			
			$this->ajax->assign('result',  'success');
			$this->ajax->assign('message', "Dodano ustawienie <b>$name</b>" . ($value?" o wartości <b>$value</b>" : ''));
		}
		else
		{
			$this->ajax->assign('result', 'error');
			$this->ajax->assign('message', 'Nie udało się dodać ustawienia, prawdopodobnie nie wypełniłeś wszystkich pól lub takie ustawienie już istnieje');
		}
		
		$this->ajax->send();
	}
	
}