<?php defined('SYSPATH') or die('No direct script access.');

class Controller_service
{	
	/**
	 * Konstruktor
	 *
	 */
	public function __construct()
	{	
		$this->initClass();
		
		if($this->settings->get('service_show_no_logged', 0) or Member::logged())
		{
			return true;
		}
		$this->view->execute('HTTP/no_access', false, true);
	}
	
	/**
	 * initClass
	 * ładuje wszystkie potrzebne klasy do działania skryptu...
	 * 
	 * @access protected
	 * @return void
	 */
	protected function initClass()
	{
		$this->ajax     = Core::get('Ajax');
		$this->amxbans  = Core::get('AmxBans');
		
		$this->request  = Core::request();
		$this->settings = Core::setting();
		$this->view     = Core::view();
	}
	
	
	protected function getToDisplay($data)
	{
		/**
		 * Jeśli usług jest więcej do sprawdzania
		 *
		 */
		if(isset($data[0]) && is_array($data[0]))
		{
			$return = array();
			foreach($data as $key=>$value)
			{
				if($display = $this->getToDisplay($value))
				{
					$return[] = $display;
				}
			}
			
			return $return;
		}
		
		$allowed = array();
		$array = stristr($data['allowed_group'], ',') ? explode(',', $data['allowed_group']) : array(0 => $data['allowed_group']);
		// Pobierzmy grupy dla jakich dostępna ma być usługa...
		foreach($array as $key => $group)
		{
			$allowed[$group] = true;
		}
		if($this->settings->get('service_show_no_logged', 0) && !Member::logged())
		{
			$no_show = $this->settings->get('service_no_show');
			$no_show = stristr($no_show, ',') ? explode(',', $no_show) : array(0 => $no_show);
			$no_show = is_array($no_show) ? $no_show : array();
			
			foreach($no_show as $key => $group)
			{
				if($data['id'] == $group)
				{
					return false;
				}
			}
		}
		else
		{		
			// Jeśli użytkownik przeglądający nie jest w takiej grupie
			if(!isset($allowed[Member::get('group_id')]))
			{
				return false;
			}
		}
			
		// Połączmy się z odpowiednim amxbansem...
		$amxbans_data = $this->amxbans->getAmxBans($data['amxbans_id']);
		
		$amxbans = false;
		if($data)
		{
			$amxbans = $this->amxbans->connect($amxbans_data);
		}
			
		// Jeśli połączenie nie zostało nawiązane to znaczy
		// że dane do amxbansa są nie prawidłowe
		// szukajmy dalej...
		if(!$amxbans)
		{
			return false;
		}
		
		// Pobierzmy dane serwera...
		$server = $amxbans->server($data['server_id']);
			
		// Jeśli serwer nie został znaleziony, to samo co wcześniej
		// Szukamy dalej...
		if(!isset($server['hostname']))
		{
			return false;
		}
		
		$data['server']  = $server;
		$data['amxbans'] = $amxbans;
		$data['allowed'] = $allowed;
		
		return $data;
	}
}