<?php defined('SYSPATH') or die('No direct script access.');

class Controller_service_buy extends Controller_service
{	
	/**
	 * Konstruktor
	 *
	 */
	public function __construct()
	{
		parent::__construct();
	}
	
	
	/**
	 * Wyświetlanie formularza dotyczącego kupna usługi...
	 * 
	 * @access public
	 */
	public function action_index()
	{
		$id = $this->request->post('id');
		
		$service = $this->getToDisplay(Service::get($id));
		
		if(!$service)
		{
			$this->ajax->assign('title',   'Błąd');
			$this->ajax->assign('message', '<div class="error">Usługa nie istnieje lub prawdopodobnie nie jest dla ciebie dostępna!</div>');
		}
		elseif(!Member::logged())
		{
			$this->ajax->assign('title',   'Nie możesz zamówić tej usługi');
			$this->ajax->assign('message', '<div class="error">Nie jesteś zalogowany</div>');
		}
		else
		{
			$this->ajax->assign('title',   'Formularz zakupu usługi: ' . $service['name']);
			$this->view->assign('service', $service);
			$this->ajax->assign('message', $this->view->execute('service/buy', TRUE));
		}
		
		$this->ajax->send();
	}
	
	/**
	 * Pozwala kupić usługę i dodać ją na serwer
	 *
	 * @access public
	 */
	public function action_process()
	{
		$post    = $this->request->post();
		$service = $this->getToDisplay(Service::get($post['id']));
		
		$result = 0;
		
		// Jeśli nie udało się załadować takiej usługi
		if(!$service)
		{
			$info   = 'Taka usługa nie istnieje lub nie masz uprawnień do tej akcji';
		}
		else
		{
			// Jeśli ilość dni jest mniejsza niż minimalna lub większa niż maxymalna
			if($post['day'] < $service['min_day'] or $post['day'] > $service['max_day'])
			{
				$info   = 'Niepoprawna liczba dni.';
			}
			// Jeśli użytkownik nie ma wystrczającej ilości pieniędzy...
			elseif(Member::get('wallet') < (float)($cost = $service['cost_per_day'] * $post['day']))
			{
				$info = 'Nie masz wystrczającej ilości pieniędzy';
			}
			else
			{
				// Dodajmy usługę dla x użytkownika do amxbansa...
				$add = $service['amxbans']->add($service['server_id'], ($post['flags'] == 'ce' ? 'ce' : 'a'), $service['flags'], array(
					'nick'      => $post['nick'],
					'password'  => $post['password'],
					'steam'     => $post['steam'],
					'dni'       => $post['day']
				));
				
				// Usuńmy pieniądze z portfela i dodajamy usługę do zakupionych jeśli dodawanie się powiodło
				if($add[0])
				{
					Logs::add('Kupił usługę: ' . $service['name'], Member::logged());
					
					MLogs::add('Kupiono usługę ' . $service['name'] . ' na okres '.$post['day'].' dni za '.$cost.' PLN', 'wallet');
					
					$cost = round($cost, 2);
					
					Member::update(Member::logged(), 'wallet', Member::get('wallet')-$cost);
					Service::insertBuy(Member::logged(), $service['id'], $add[2], $post['day']);
				}
				
				$result = $add[0];
				$info   = $add[1];
			}
		}
		
		$this->ajax->assign('result', $result ? 'success' : 'error');
		$this->ajax->assign('message', $info);
		$this->ajax->send();
	}
}