<?php defined('SYSPATH') or die('No direct script access.');
/**
 * class Controller_welcome_index
 *
 * Odpowiada za newsy...
 */
class Controller_welcome_news extends Controller_welcome
{	
	/**
	 * Konstruktor
	 * 
	 * @access public
	 */
	public function __construct()
	{
		parent::__construct();
	}
	
	/** 
	 * Usuwanie newsów
	 * 
	 * @access public
	 */
	public function action_delete()
	{
	
		if(!Member::hasAccess('news_delete'))
		{
			$this->ajax->assign('message', 'Nie posiadasz takich uprawnień');
			$this->ajax->send();
		}
	
		$id = $this->request->post('id');	
		
		if(News::delete($id))
		{
			$this->ajax->assign('result', '1');
			$this->ajax->send();
		}
		
		$this->ajax->assign('message', 'News nie istnieje');
		$this->ajax->send();
	}
	
	/**
	 * Box do dodawania newsów
	 *
	 * @access public
	 */
	public function action_add_box()
	{
		if(!Member::hasAccess('news_add'))
		{
			$this->ajax->assign('title',   'Brak uprawnień');
			$this->ajax->assign('message', '<div class="error">Nie posiadasz odpowiednich uprawnień</div>');
			$this->ajax->send();
		}
	
		$this->ajax->assign('title',   'Dodaj newsa');
		$this->ajax->assign('message', $this->view->execute('admin/news/add', TRUE));
		$this->ajax->send();
	}
	
	/**
	 * Box do dodawania newsów
	 *
	 * @access public
	 */
	public function action_edit_box()
	{
	
		if(!Member::hasAccess('news_edit'))
		{
			$this->ajax->assign('title',   'Brak uprawnień');
			$this->ajax->assign('message', '<div class="error">Nie posiadasz odpowiednich uprawnień</div>');
			$this->ajax->send();
		}
		
		$id = $this->request->post('id');
		$news = News::getOne($id);
		
		
		$this->view->assign('news',    $news);
		$this->ajax->assign('title',   'Edytuj newsa');
		$this->ajax->assign('message', $this->view->execute('admin/news/edit', TRUE));
		$this->ajax->send();
	}
	
	/**
	 * Dodaje newsa...
	 *
	 * @access public
	 */
	public function action_add()
	{
		if(!Member::hasAccess('news_add'))
		{
			$result = array(0, 'Nie posiadasz do tego uprawnień');
		}
		else
		{
			$result = News::create($this->request->post());
		}
		
		$this->ajax->assign('result',  $result[0] ? 'success' : 'error');
		$this->ajax->assign('message', $result[1]);
		$this->ajax->send();
	}
	
	/**
	 * Edytuje newsa...
	 *
	 * @access public
	 */
	public function action_edit()
	{
		if(!Member::hasAccess('news_edit'))
		{
			$result = array(0, 'Nie posiadasz do tego uprawnień');
		}
		else
		{
			$post = $this->request->post();
			$result = News::edit($post['id'], $post);
		}
		
		
		$this->ajax->assign('result',  $result[0] ? 'success' : 'error');
		$this->ajax->assign('message', $result[1]);
		$this->ajax->send();
	}
	
	/**
	 * Lajkowanie newsa
	 *
	 *
	 * @access public
	 */
	public function action_like()
	{
	
		if( ! $this->settings->get('reputation_on', 1) )
		{
			$this->ajax->assign('result', 'error');
			$this->ajax->assign('reputation', 'Ta opcja została wyłączona');
			$this->ajax->send();
		}
	
		// Pobierzmy dane..
		$id   = $this->request->post('id');
		$vote = $this->request->post('vote') ? 1 : 0;
		
		// Jeśli news istnieje
		if(News::getOne($id))
		{
			$result = News::like($id, $vote);
			$this->ajax->assign('result',     $result[0] ? 'success' : 'error');
			$this->ajax->assign('reputation', $result[1]);
		}
		// Jeśli nie istnieje
		else
		{
			$this->ajax->assign('result',     'error');
			$this->ajax->assign('reputation', 'News nie istnieje...');
		}
		
		// Wyślimy dane...
		$this->ajax->send();
	}
	
	/**
	 * Lista osób które polubiły x newsa
	 *
	 * @access public
	 */
	public function action_reputation()
	{
		$id = $this->request->post('id');
		$news = News::getOne($id);
		
		if(!Core::setting()->get('news_reputation_list', 1))
		{
			$title   = 'Nie można wyświetlić tej strony';
			$message = '<div class="warning">Ta opcja została wyłączona</div>';
		}
		elseif(!$news)
		{
			$title = 'Nie można wyświetlić takiej listy';
			$message = '<div class="error">Taki news nie istnieje</div>';
		}
		elseif($rep = News::getReputation($id))
		{
			$title = $news['news_title'];
			$this->view->assign('reputation', $rep);
			$message = $this->view->execute('welcome/reputation', TRUE);
		}
		else
		{
			$title = $news['news_title'];
			$message = '<div class="warning">Nikt jeszcze nie polubił tego newsa</div>';
		}
		
		$this->ajax->assign('title', $title);
		$this->ajax->assign('message', $message);
		$this->ajax->send();
	}
}