<?php
$wallet = Member::get('wallet');
Core::get('View')->title('Portfel - Panel Użytkownika');
?>
<script>
var wallet = new Wallet();
$(document).ready(function(){
	$('select[name="numer"]').on('change', function(){
		wallet.show_on_change($(this).find( 'option:selected' ).attr('class'));
	});
});
</script>

<div class="img_bar">Doładuj portfel</div>
<div class="blue_box">
	<div class="content" style="padding: 0">
		<form id="form" action="" method="post" onsubmit="return false;">
			<div class="box" style="border: none">
			<div class="bar">1. Wybierz kwotę jaką chcesz doładować portfel</div>
				<table class="table">
					<tr>
						<td><span class="label">Wybierz kwotę jaką chcesz zasilić konto</span><br/>Za każdą zmianą tej opcji, przeczytaj uważnie punkt 2 doładowania portfela, <br/> gdyż dane w tym polu zostają zmienione</td>
						<td>
							<select name="numer">
								<option>Wybierz:</option>
								<?php
									$rates = Core::get('Payments')->rates();
									
									$pay_info = '';
									
									foreach($rates as $key => $rate)
									{
										// Wygenerujmy unikalny klucz
										$key = sha1($key);
										
										// Informacje o płatności
										$pay_info .= "<div style='display: none;' class='info info_pay info_{$key}'>";
										$pay_info .= "Wyślij sms'a o treści <b>{$rate['text_sms']}</b> na numer <b>{$rate['numer']}</b> <br/>";
										$pay_info .= "Koszt smsa to <b>{$rate['cost']}</b> PLN";
										$pay_info .= "</div>";
										
										// Wyświetlmy selecta
										echo "<option class='{$key}' value='{$rate['numer']}|{$rate['text_sms']}'> Doładuj portfel o {$rate['amount']} PLN </option>";
									}
								?>
							</select>
						</td>
					</tr>
				</table>
				<div class="bar">2. Informacje na temat sms'a jakiego należy wysłać</div>
					<table class="table">
						<tr>
							<td colspan="2"><?php echo $pay_info ?></td>
						</tr>
					</table>
				
				<div class="bar">3. Finalizacja</div>
					<table class="table">
					<tr>
						<td><span class="label">Następnie wpisz kod otrzymany na telefon:</span><br/>Po wysłaniu sms'a o na numer i treści podanej powyżej w ciągu kilku minut a nawet sekund powinieneś otrzymać wiadomość z kodem.</td>
						<td><input type="text" name="sms"></td>
					</tr>
					<tr>
						<td><input type="submit" onclick="wallet.pay()" value="Doładuj portfel" style="margin-top: 6px" class="input_submit"></td>
						<td>
							<div class="result_doladuj"></div>
						</td>
					</tr>
				</table>
			</div>
		</form>
	</div>
</div>

<?php
if(Core::setting()->get('member_give_money', 1))
{
?>
<div class="img_bar" style="margin-top: 15px">Przekaż środki</div>
<script>
	$(document).ready(function(){
		$('#give').submit(function(){
			var serialize = $(this).serialize();
			
			$.ajax({
				url: core.getConfig('base_url') + 'member/profile/give',
				data: serialize,
				type: 'POST',
				dataType: 'JSON',
				
				success: function(r){
					notif(r.message, 2000);
				}
			});
		});
	});
</script>
<div class="blue_box">
	<div class="content" style="padding: 0">
		<div class="box" style="border: 0">
			<form id="give" onsubmit="return false">
				<div class="bar">1. Dane transakcji</div>
				
				<table class="table">
					<tr>
						<td><span class="label">Nazwa użytkownika któremu chcesz przekazać pieniądze</span><br/>Wielkość liter nie jest brana pod uwagę.</td>
						<td><input type="text" name="username"></td>
					</tr>
					<tr>
						<td><span class="label">Kwota jaką chcesz przekazać</span><br/>Kwota nie może być większa od aktualnego stanu twojego portfela.</td>
						<td>
							<input type="text" name="amount" style="width: 60px"><span class="label">/
								<?php 
									if(!$limit = Core::setting()->get('member_give_money_limit', 0))
									{
										$max = round(Member::get('wallet'), 2);
									}
									else
									{
										$max = round($limit, 2);
									}
									echo $max;
								?> 
								PLN <?php echo $limit ? '<i>(Limit narzucony przez administratora</i>)' : '' ?></span>
						</td>
					</tr>
				</table>
				
				<div class="bar">2. Powiadomienie</div>
				<table class="table">
					<tr>
						<td><span class="label">Powiadom administratora</span><br/>Zaleca się pozostawić tą opcje, jeśli kiedykolwiek zamierzasz ubiegać się o zwrot tej kwoty.</td>
						<td><input type="checkbox" name="notif_admin" value="1" checked="checked"></td>
					</tr>
					<tr>
						<td><span class="label">Zapisz w moich logach</span><br/>Zotanie zapisane w logach poniżej, nie ma to wpływu na powiadomienie użytkownika któremu wysyłasz podaną kwote.</td>
						<td><input type="checkbox" name="notif_member" value="1" checked="checked"></td>
					</tr>
				</table>
				
				<div class="bar">3. Finalizacja</div>

				<center>
					<input type="submit" style="margin: 15px" class="input_submit" value="Przekaż środki">
					<input type="reset" style="margin: 15px" class="input_submit" value="Resetuj">
				</center>
				
			</form>
		</div>
	</div>
</div>
<?php 
}

Core::view()->assign('log_section', 'wallet');
Core::view()->assign('log_title', 'Zapis operacji');
Core::view()->assign('log_empty', 'Brak');

// Display
Core::view()->execute('member/log_template');
?>