<?php
// Sprawdźmy czy newsy są dla zalogowanych
if(Core::setting()->get('news_for_logged') && !Member::logged())
{
	// Jeśli tak to wyświetlmy błąd i zatrzymajmy działanie
	echo '<div class="error">Musisz się zalogować jeśli chcesz zobaczyć co nowego w sklepie!</div>';
	return;
}

// Pobierzmy uprawnienia...
$delete = Member::hasAccess('news_delete');
$add    = Member::hasAccess('news_add');
$edit   = Member::hasAccess('news_edit');

// Pobierzmy ustawienia
$reputation_on   = Core::setting()->get('news_reputation', 1);
$news_my_like    = Core::setting()->get('news_my_like', 0);
$reputation_list = Core::setting()->get('news_reputation_list', 1);

// Pobierzmy id użytkownika
$member_id = Member::logged();

// Dołączmy news.js
echo '<script src="'.Core::$site.'media/script/News.js"></script>';

// Jeśli użytkownik ma prawo do dodawania wyświetlmy przycisk
if($add)
{
	echo '<input type="submit" style="margin: 10px; margin-left: 20px" class="input_submit" onclick="news.create();" value="Dodaj nowego newsa">';
}

// Pobierzmy ile newsów ma być wyświetlanych na strony...
$per_page = Core::setting()->get('news_count');

// Pobierzmy łączną ilość wszystkich newsów
$count = News::getCount();

// Wygenerujmy ilość stron...
echo '<div style="margin: 15px"><b>Strony </b> ';
for($i=0; $i<ceil($count/$per_page); $i++){
	echo '<span class="stats" onclick="initNews({page: '.($i+1).'})">' . ($i+1) . '</span>';
}

// Poprawka: Jeśli nie ma żadnego wpisu a do wyświetlenia jest więcej niż 1 to nie pokazywało żadnej strony; 
if(!$i)
{
	echo '<span class="stats"onclick="initNews({page: '.($i+1).'})">' . ($i+1) . '</span>';
}

// Jeśli istnieje jakaś strony inna do wyświetlenia
$additional = Core::request()->post('additional', FALSE);
if(!$additional)
{
	$start = 0;
}
else
{ // Jeśli tak
	
	// Pobierzmy tą strony
	$page = $additional['page'];
	
	// Sprawdźmy czy to nie pierwsza strona
	if($page <= 1)
	{
		$start = 0; // Jeśli tak to szukajmy od pierwszego rekordku
	}
	else
	{
		// Jeśli nie to obliczmy od którego rekordu mamy pokazać...
		$start = $page * $per_page - $per_page;
	}
}

// Pobierzmy newsy dla odowiednich kryteri...
$news = News::get($start, $per_page);

// Wyświelmy jaką użytkownik aktualnie przegląda strone...
echo '<b style="margin-left: 5px">Przeglądasz strone </b> <span class="stats">'.(isset($page) ? $page : 1).'</span>';
echo '<b style="margin-left: 5px">Ilośc newsów na tej stronie </b> <span class="stats">'.count($news).'/'.$per_page.'</span>';

// Jeśli są jakieś newsy to wyświetlmy je...
if(count($news))
{
	// tutaj już wygląd newsa...
	echo '<div class="box" style="border: none; margin-top: 15px" style="margin: 5px">';
	foreach($news as $key => $news)
	{
		echo '<div class="news news_'.$news['id'].'">';
		
		// Tytuł newsa 
		echo '<div class="img_bar">' . $news['news_title'] . 
						// Edytowanie
						($edit   ? '<span onclick="news.edit('.$news['id'].')">Edytuj</span>' : '') .
						// Usuwanie
						($delete ? '<span onclick="news.delete('.$news['id'].')">Usuń</span>' : '') . '</div>';

		
		if( $reputation_on )
		{
			$news['rep_cache']  = is_null($news['rep_cache']) ? array() : unserialize($news['rep_cache']);
			$class              = $news['rep_points'] > 0 ? 'reputation_green' : ($news['rep_points'] < 0 ? 'reputation_red' : 'reputation_neutral');
			$news['rep_points'] = is_null($news['rep_points']) ? 0 : $news['rep_points'];
			
			
			if($member_id && !isset($news['rep_cache'][$member_id]) && ($news_my_like or $member_id != $news['author_id']))
			{
				$vote =  '<span class="like_img"><img src="'.Core::$site.'media/image/add.png"  onclick="news.like('.$news['id'].', this, 1)" style="position: relative; top: 5px; margin-right: 3px; cursor: pointer">';
				$vote .= '<img src="'.Core::$site.'media/image/delete.png" class="like_img" onclick="news.like('.$news['id'].', this, 0)" style="position: relative; top: 5px; margin-right: 3px; cursor: pointer"></span>';
			}
			// Fix... Jak ktoś już oddał głos to wyświetlało + jeśli w wcześniejszych rekordach nie głosowano
			else
			{
				$vote = '';
			}
		}
		
		// Treść newsa...
		echo '<div class="blue_box" style="margin-bottom: 10px"><div class="content">' . 
			// Autor
			'<img style="position: relative; top: 2px" src="'.Core::$site.'media/image/user.png"/> <span class="label">' . Member::getDisplayName($news['author_id']) . '</span> ' .
			// Data
			'<img style="margin-left: 5px; position: relative; top: 2px" src="'.Core::$site.'media/image/date.png"/> <span class="label" style="padding-left: 2px"> ' . Date::format($news['news_time']) . '</span>' .
			//Reputacja
			($reputation_on ? '<span style="float: right">'.$vote.'<span class="reputation '.$class.'" ' . ( $reputation_list ? 'onclick="news.showReputation('.$news['id'].')"' : '' ) . '>' . $news['rep_points'] . '</span></span>' : '').
			// następna linia
			'<br/><br/>' .
			// Treść newsa...
			$news['news_content'] . '</div></div>';
		
		echo '<div style="clear: both"></div></div>';
	}
	echo '</div>';
}
// Jeśli nie ma żadnych newsów wyświetlmy ostrzeżenie...
else 
{
	echo '<div class="warning">Brak nowości do wyświetlenia</div>';
}
?>