﻿/**
 * News Jquery Class by Gh0st
 *
 */
var News = function(){
	var news = this;
	
	this.delete = function(news_id){
		var news_content = $('.news_' + news_id);
		
		$.ajax({
			url:  core.getConfig('base_url') + 'welcome/news/delete',
			data: {id: news_id},
			dataType: 'JSON',
			type: 'POST',
			
			success: function(json){
				if(json.result == '1'){	
					notif("News został usunięty", 2000);
					news_content.slideToggle(600, function(){
						news_content.remove();
						var bar = $('.news .img_bar');
						if(!bar.length){
							$('.news_ajax_load_content').find('.box').after('<div class="warning">Brak nowości do wyświetlenia</div>');
							$('.news_ajax_load_content').find('.box').remove();
						}
					});
				}else{
					notif(json.message, 2000);
				}
			}
		});
	}
	
	
	this.create = function(news_id){
		new SimpleBox({
			url: core.getConfig('base_url') + 'welcome/news/add_box',
			data: {},
			width: 800,
			submitValue: 'Dodaj newsa',
			submitAction: function(){
				$('#add_news_form').submit();
			}
		}).show();
	
	}
	
	this.createProcess = function(){
		
		var title   = $('input[name="title"]').val();
		var content = $('.nicEdit-main').html();
		
		$.ajax({
			url:  core.getConfig('base_url') + 'welcome/news/add',
			data: {
				title: title,
				content: content
			}, 
			
			dataType: 'JSON',
			type: 'POST',
			
			success: function(json){
				$('.result').html('');
				$('.result').append($(document.createElement('div')).addClass(json.result).html(json.message));
				
				if(json.result == 'success'){
					initNews();
				}
			}
		});
	}
	
	this.edit = function(id){
		new SimpleBox({
			url: core.getConfig('base_url') + 'welcome/news/edit_box',
			data: {id: id},
			width: 800,
			submitValue: 'Edytuj newsa',
			submitAction: function(){
				$('#edit_news_form').submit();
			}
		}).show();
	}
	
	this.editProcess = function(){
		var title   = $('input[name="title"]').val();
		var content = $('.nicEdit-main').html();
		var id      = $('input[type="hidden"]').val();
		
		$.ajax({
			url:  core.getConfig('base_url') + 'welcome/news/edit',
			data: {
				title: title,
				content: content,
				id: id
			}, 
			
			dataType: 'JSON',
			type: 'POST',
			
			success: function(json){
				$('.result').html('');
				$('.result').append($(document.createElement('div')).addClass(json.result).html(json.message));
				
				if(json.result == 'success'){
					initNews();
				}
			}
		});
	}
	
	this.like = function(news_id, like_img, type){
	
		$.ajax({
			url: core.getConfig('base_url') + 'welcome/news/like',
			data: {id: news_id, vote: type},
			dataType: 'JSON',
			type: 'POST',
			
			success: function(json){
			
				if(json.result == 'success'){
					notif('Dziękujemy za oddanie głosu', 1000);
					var next = $(like_img).parent().next('.reputation');
					
					next.removeClass('reputation_green'); next.removeClass('reputation_neutral'); next.removeClass('reputation_red');
					
					next.addClass(json.reputation > 0 ? 'reputation_green' : (json.reputation < 0 ? 'reputation_red' : 'reputation_neutral'));
					next.html(json.reputation);
					
					$(like_img).parent().remove();
				}else{
					notif(json.reputation, 1000);
				}
			}
		});
	}
	
	this.showReputation = function( news_id ){
		new SimpleBox({
			url: core.getConfig('base_url') + 'welcome/news/reputation',
			data:{id:news_id},
			submitValue: false
		}).show();
	}
}
var news = new News();