<?php defined('SYSPATH') or die('No direct script access.');

abstract class Code
{	
	/**
	 * Zwraca listę kodów / lub jeden konkretny
	 *
	 * @param string
	 * 
	 * @access static
	 * @return array
	 */
	static public function get($code = FALSE)
	{
		if($code)
		{
			$query = Core::db()->prepare('SELECT * FROM `my_code_` where `code` = ?');
			$query -> execute(array($code));
		}
		else
		{
			$query = Core::db()->query('SELECT * FROM `my_code_` order by `id` DESC');
		}
		
		return $code ? $query->fetch() : $query->fetchAll();
	}
	
	/**
	 * Usuwa kod
	 *
	 * @param string
	 * 
	 * @access static
	 * @return array
	 */
	static public function delete($code_id)
	{
		$query = Core::db()->prepare('DELETE FROM `my_code_` where `id`=?');
		$query->execute(array($code_id));
		
		return $query->rowCount();
	}
	
	/**
	 * Dodaje cod.
	 *
	 * @param array
	 *
	 * @access static
	 * @return array
	 */
	static public function add($code_data)
	{
		if($code_data['code'] == '' or $code_data['wallet'] < 0.0)
		{
			return array(0, 'Musisz podać wszystkie pola');
		}
		
		if(strlen($code_data['code']) != 8)
		{
			return array(0, 'Długoś kodu nie jest prawidłowa');
		}
		
		$data = Code::get($code_data['code']);
		if(isset($data['id']))
		{
			return array(0, 'Podany kod już istnieje');
		}
		
		$query = Core::db()->prepare('INSERT INTO `my_code_` VALUES(NULL, ?, ?, 0)');
		$query -> execute(array($code_data['code'], (float)$code_data['wallet']));
		
		return array(1, 'Kod został dodany');
	}
	
	/**
	 * Zmienia status kodu.
	 *
	 * @param integer
	 *
	 */
	static public function setStatus($member_id, $code_id)
	{
		$query = Core::db()->prepare('UPDATE `my_code_` SET `active_member_id` = ? where `id` = ?');
		$query -> execute(array($member_id, $code_id));
		return $query->rowCount();
	}
}