<?php defined('SYSPATH') or die('No direct script access.');

class Payments_Zabijaka
{
	/**
	 * Numery zabijaka...
	 * @private array
	 */
	private $numers = array(
		71480 => 1, 
		72480 => 2, 
		73480 => 3, 
		74480 => 4, 
		75480 => 5, 
		76480 => 6, 
		79480 => 9, 
		91400 => 19, 
		91900 => 25
	);

	/**
	 * Sprawdza poprawność kodu sms...
	 *
	 * @param  $sms    string kod sms
	 * @param  $numer  string opcjonalnie, numer na który został wysłany sms
	 * @param  $code   string opcjonalnie, treść smsa jaką wysłał użytkownik
	 *
	 * @access public
	 * @return float Kwota jaką ma zostać zasilony portfel
	 */
	public function check($sms, $numer = NULL, $code = NULL)
	{
		$query   = sprintf('http://api.zabijaka.pl/1.1/%s/sms/%s/%s/sms.json/add', Core::setting()->get('zabijaka_key_api'), $this->getType($numer), $sms);
		$query   = json_decode(file_get_contents($query));
		
		if(isset($query->error))
		{
			return array(0.0, $query->txt);
		}
		

		
		if(isset($query->success))
		{
			return array((float)$query->amount, 'Konto zostało pomyślnie doładowane');
		}
		
		return array(0.0, 'Prawodopodobnie nie wybrałeś o ile chcesz zasilić konto...');
	}
	
	
	/**
	 * Zwraca typ dla danego numeru...
	 *
	 * @param integer
	 * @return integer
	 */
	private function getType($numer)
	{
		return $this->numers[$numer];
	}
	
	/**
	 * Stawki sms
	 *
	 *
	 * @access public
	 * @return array zwraca tablice ze stawkami sms(numer, koszt, tresc)
	 */
	public function rates()
	{
		$_return = array();
		
		$rates = array(
			array(71480, 1.23, 0.66),
			array(72480, 2.46, 1.36),
			array(73480, 3.69, 2.04),
			array(74480, 4.92, 2.72),
			array(75480, 6.15, 3.40),
			array(76480, 7.38, 4.08),
			array(79480, 11.07, 6.12),
			array(91400, 17.22, 9.48),
			array(91900, 23.37, 12.92)
		);
		
		foreach($rates as $rate)
		{
			$_return[] = array(
				'text_sms' => 'AG.ZABIJAKA',
				'numer'    => $rate[0],
				'cost'     => $rate[1],
				'amount'   => $rate[2]
 			);
		}
	
		return $_return;
	}
}
?>