<?php
/**
 * Obsługa $_SESSION
 * 
 *
 *
 * @author Gh0st
 * @copyright 2013
 */
 
class Session_Native
{	 	

	/**
	 * Konstruktor
	 *
	 * @access public
	 */
	public function __construct()
	{
		session_start();
	}
	
	/**
	 * Zmienia wartośc danego klucza sesji
	 *
	 * @param $name string Nazwa wartości
	 * @param $value string Wartość
	 */
	function set($name, $value)
	{
		$_SESSION[$name] = $value;
	}

	/**
	 * Pobiera wybraną wartość sesji
	 *
	 * @param $name string Nazwa wartości
	 * @param $default string Co zwrócić jeśli taka wartość nie istnieje
	 * @return string
	 */
	function get($name, $default=NULL)
	{
		if(!isset($_SESSION[$name]))
		{ // Jeśli nie istnieje to zwróćmy domyślną wartość
			return $default;
		}
		// Jeśli istnieje zwróćmy dany element
		return $_SESSION[$name];
	}
	
	/**
	 * Usuwa dany klucz z sesji
	 * 
	 * @param $name string Nazwa klucza
	 */
	function delete($name)
	{
		// Sprawdzmy czy taki element istnieje
		if(!isset($_SESSION[$name]))
		{
			return false;
		}
		
		// Usuńmy ten element
		unset($_SESSION[$name]);
		return true;
	}
	
	
	/**
	 * Niszczy aktualna sesje
	 *
	 * @return bool Zawsze true
	 */
	function destroy()
	{
		session_destroy();
	}
}